文档首页 > > 用户指南> PostgreSQL用户指南> 管理插件>

RDS for PostgreSQL引擎支持的插件

RDS for PostgreSQL引擎支持的插件

分享
更新时间:2021/01/29 GMT+08:00

如下表格中的数据来源于RDS for PostgreSQL引擎各版本下,最新小版本支持的插件列表。您可以通过SELECT name FROM pg_available_extensions;语句,查看当前实例支持的插件列表。如果当前版本不支持某个插件,则需要联系客服先升级到最新内核小版本。

表1 支持插件列表

插件名称

PostgreSQL 9.5

PostgreSQL 9.6

PostgreSQL 10

PostgreSQL 11

PostgreSQL 增强版(1.0版本)

PostgreSQL 12

address_standardizer

2.5.1

2.5.1

2.5.1

2.5.1

2.5.1

3.0.0

address_standardizer_data_us

2.5.1

2.5.1

2.5.1

2.5.1

2.5.1

3.0.0

btree_gin

1.0

1.0

1.2

1.3

1.3

1.3

btree_gist

1.1

1.2

1.5

1.5

1.5

1.5

citext

1.1

1.3

1.4

1.5

1.5

1.6

cube

1.0

1.2

1.2

1.4

1.4

1.4

dblink

1.1

1.2

1.2

1.2

1.2

1.2

dict_int

1.0

1.0

1.0

1.0

1.0

1.0

dict_xsyn

1.0

1.0

1.0

1.0

1.0

1.0

earthdistance

1.0

1.1

1.1

1.1

1.1

1.1

fuzzystrmatch

1.0

1.1

1.1

1.1

1.1

1.1

hll

2.12

2.12

2.12

2.12

2.12

2.14

hstore

1.3

1.4

1.4

1.5

1.5

1.6

intagg

1.0

1.1

1.1

1.1

1.1

1.1

intarray

1.0

1.2

1.2

1.2

1.2

1.2

isn

1.0

1.1

1.1

1.2

1.2

1.2

ltree

1.0

1.1

1.1

1.1

1.1

1.1

ora_migrator

-

-

0.9.3

0.9.3

0.9.3

-

oracle_fdw

-

-

1.1

1.1

1.1

1.1

orafce

3.8

3.8

3.8

3.8

3.8

3.8

pg_cron

-

-

-

-

-

1.2

pg_hint_plan

1.1.5

1.2.0

1.3.0

1.3.0

1.3.0

-

pg_jieba

1.1.0

1.1.0

1.1.0

1.1.0

1.1.0

1.1.0

pg_pathman

1.5

1.5

1.5

1.5

1.5

1.5

pgrouting

-

-

-

3.1.0

-

3.1.0

pg_stat_statements

1.3

1.4

1.6

1.6

1.6

1.7

pg_trgm

1.1

1.3

1.3

1.4

1.4

1.4

pgcrypto

1.2

1.3

1.3

1.3

1.3

1.3

pgstattuple

-

-

1.5

1.5

1.5

1.5

plpgsql

1.0

1.0

1.0

1.0

1.0

1.0

postgis

2.5.1

2.5.1

2.5.1

2.5.1

2.5.1

3.0.0

postgres_fdw

-

-

1.0

1.0

1.0

1.0

postgis_raster

集成到postgis

集成到postgis

集成到postgis

集成到postgis

集成到postgis

3.0.0

postgis_sfcgal

1.3.9

1.3.9

1.3.9

1.3.9

1.3.9

1.3.9

postgis_tiger_geocoder

2.5.1

2.5.1

2.5.1

2.5.1

2.5.1

3.0.0

postgis_topology

2.5.1

2.5.1

2.5.1

2.5.1

2.5.1

3.0.0

tablefunc

1.0

1.0

1.0

1.0

1.0

1.0

tds_fdw

-

-

-

2.0.1

2.0.1

2.0.1

timescaledb

-

1.3.2

1.3.2

1.3.2

1.3.2

1.7.0

unaccent

1.0

1.1

1.1

1.1

1.1

1.1

uuid-ossp

1.0

1.1

1.1

1.1

1.1

1.1

wal2json

-

-

-

2.3

-

2.3

zhparser

1.0

1.0

1.0

1.0

1.0

1.0

插件说明

  • postgis
    • 创建postgis插件时,会同步创建以下插件:

      postgis

      postgis_topology

      fuzzystrmatch

      postgis_tiger_geocoder

      address_standardizer

      address_standardizer_data_us

    • 创建postgis插件时,主备实例的主机创建插件后,请先断开备机已经建立的连接,备机需要重新建立连接更新search_path设置。
    • 对于PostgreSQL增强版实例,创建postgis插件前,需要在控制台上将实例参数“empty_is_null”设置为“OFF”。
  • earthdistance

    安装earthdistance插件前,请先安装cube插件。

  • cube

    如果已安装earthdistance插件,删除cube插件会导致earthdistance插件不可用。

  • timescaledb

    RDS for PostgreSQL的timescaledb插件不支持tsl协议的特性,具体请参见timescaledb插件不支持的部分接口

  • wal2json:该插件是逻辑复制插件,您可以直接使用该插件,不需要通过control_extension安装。

timescaledb插件不支持的部分接口

  • add_compress_chunks_policy
  • add_drop_chunks_policy
  • add_reorder_policy
  • alter_job_schedule
  • compress_chunk
  • decompress_chunk
  • drop_chunks
  • interpolate
  • locf
  • move_chunk
  • remove_compress_chunks_policy
  • remove_drop_chunks_policy
  • remove_reorder_policy
  • reorder_chunk
  • set_integer_now_func
  • time_bucket_gapfill
分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!非常感谢您的反馈,我们会继续努力做到更好!
反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问